apiVersion: apps/v1
kind: Deployment
metadata:
  name: hello-world-secrets-env
spec:
  replicas: 1
  selector:
    matchLabels:
      app: hello-world-secrets-env
  template:
    metadata:
      labels:
        app: hello-world-secrets-env
    spec:
      containers:
      - name: hello-world
        image: psk8s.azurecr.io/hello-app:1.0
        env:
        - name: mysecretUserName
          valueFrom:
            secretKeyRef:
              name: mysecret
              key: USERNAME 
        - name: mysecretPassword
          valueFrom:
            secretKeyRef:
              name: mysecret
              key: PASSWORD 
        ports:
        - containerPort: 8080
        
        
        
        
